Package de.gebit.integrity.parser.antlr.internal

## Class InternalDSLParser

- java.lang.Object
- - org.antlr.runtime.BaseRecognizer
  - - org.antlr.runtime.Parser
    - - org.eclipse.xtext.parser.antlr.AbstractInternalAntlrParser
      - - de.gebit.integrity.parser.antlr.internal.InternalDSLParser

-     public class InternalDSLParser
      extends org.eclipse.xtext.parser.antlr.AbstractInternalAntlrParser

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.xtext.parser.antlr.AbstractInternalAntlrParser

      `org.eclipse.xtext.parser.antlr.AbstractInternalAntlrParser.ErrorContext, org.eclipse.xtext.parser.antlr.AbstractInternalAntlrParser.LexerErrorContext, org.eclipse.xtext.parser.antlr.AbstractInternalAntlrParser.ParserErrorContext, org.eclipse.xtext.parser.antlr.AbstractInternalAntlrParser.UnorderedGroupErrorContext, org.eclipse.xtext.parser.antlr.AbstractInternalAntlrParser.ValueConverterErrorContext`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected de.gebit.integrity.parser.antlr.internal.InternalDSLParser.DFA3` | `dfa3` |
    `protected de.gebit.integrity.parser.antlr.internal.InternalDSLParser.DFA33` | `dfa33` |
    `protected de.gebit.integrity.parser.antlr.internal.InternalDSLParser.DFA45` | `dfa45` |
    `protected de.gebit.integrity.parser.antlr.internal.InternalDSLParser.DFA46` | `dfa46` |
    `protected de.gebit.integrity.parser.antlr.internal.InternalDSLParser.DFA47` | `dfa47` |
    `protected de.gebit.integrity.parser.antlr.internal.InternalDSLParser.DFA48` | `dfa48` |
    `protected de.gebit.integrity.parser.antlr.internal.InternalDSLParser.DFA52` | `dfa52` |
    `protected de.gebit.integrity.parser.antlr.internal.InternalDSLParser.DFA58` | `dfa58` |
    `protected de.gebit.integrity.parser.antlr.internal.InternalDSLParser.DFA59` | `dfa59` |
    `protected de.gebit.integrity.parser.antlr.internal.InternalDSLParser.DFA60` | `dfa60` |
    `protected de.gebit.integrity.parser.antlr.internal.InternalDSLParser.DFA61` | `dfa61` |
    `protected de.gebit.integrity.parser.antlr.internal.InternalDSLParser.DFA73` | `dfa73` |
    `protected de.gebit.integrity.parser.antlr.internal.InternalDSLParser.DFA75` | `dfa75` |
    `protected de.gebit.integrity.parser.antlr.internal.InternalDSLParser.DFA77` | `dfa77` |
    `protected de.gebit.integrity.parser.antlr.internal.InternalDSLParser.DFA78` | `dfa78` |
    `protected de.gebit.integrity.parser.antlr.internal.InternalDSLParser.DFA89` | `dfa89` |
    `protected de.gebit.integrity.parser.antlr.internal.InternalDSLParser.DFA9` | `dfa9` |
    `protected de.gebit.integrity.parser.antlr.internal.InternalDSLParser.DFA90` | `dfa90` |
    `protected de.gebit.integrity.parser.antlr.internal.InternalDSLParser.DFA91` | `dfa91` |
    `protected de.gebit.integrity.parser.antlr.internal.InternalDSLParser.DFA93` | `dfa93` |
    `protected de.gebit.integrity.parser.antlr.internal.InternalDSLParser.DFA95` | `dfa95` |
    `protected de.gebit.integrity.parser.antlr.internal.InternalDSLParser.DFA99` | `dfa99` |
    `static int` | `EOF` |
    `static org.antlr.runtime.BitSet` | `FOLLOW_1` |
    `static org.antlr.runtime.BitSet` | `FOLLOW_10` |
    `static org.antlr.runtime.BitSet` | `FOLLOW_100` |
    `static org.antlr.runtime.BitSet` | `FOLLOW_101` |
    `static org.antlr.runtime.BitSet` | `FOLLOW_102` |
    `static org.antlr.runtime.BitSet` | `FOLLOW_103` |
    `static org.antlr.runtime.BitSet` | `FOLLOW_104` |
    `static org.antlr.runtime.BitSet` | `FOLLOW_105` |
    `static org.antlr.runtime.BitSet` | `FOLLOW_106` |
    `static org.antlr.runtime.BitSet` | `FOLLOW_107` |
    `static org.antlr.runtime.BitSet` | `FOLLOW_108` |
    `static org.antlr.runtime.BitSet` | `FOLLOW_109` |
    `static org.antlr.runtime.BitSet` | `FOLLOW_11` |
    `static org.antlr.runtime.BitSet` | `FOLLOW_110` |
    `static org.antlr.runtime.BitSet` | `FOLLOW_111` |
    `static org.antlr.runtime.BitSet` | `FOLLOW_112` |
    `static org.antlr.runtime.BitSet` | `FOLLOW_113` |
    `static org.antlr.runtime.BitSet` | `FOLLOW_114` |
    `static org.antlr.runtime.BitSet` | `FOLLOW_12` |
    `static org.antlr.runtime.BitSet` | `FOLLOW_13` |
    `static org.antlr.runtime.BitSet` | `FOLLOW_14` |
    `static org.antlr.runtime.BitSet` | `FOLLOW_15` |
    `static org.antlr.runtime.BitSet` | `FOLLOW_16` |
    `static org.antlr.runtime.BitSet` | `FOLLOW_17` |
    `static org.antlr.runtime.BitSet` | `FOLLOW_18` |
    `static org.antlr.runtime.BitSet` | `FOLLOW_19` |
    `static org.antlr.runtime.BitSet` | `FOLLOW_2` |
    `static org.antlr.runtime.BitSet` | `FOLLOW_20` |
    `static org.antlr.runtime.BitSet` | `FOLLOW_21` |
    `static org.antlr.runtime.BitSet` | `FOLLOW_22` |
    `static org.antlr.runtime.BitSet` | `FOLLOW_23` |
    `static org.antlr.runtime.BitSet` | `FOLLOW_24` |
    `static org.antlr.runtime.BitSet` | `FOLLOW_25` |
    `static org.antlr.runtime.BitSet` | `FOLLOW_26` |
    `static org.antlr.runtime.BitSet` | `FOLLOW_27` |
    `static org.antlr.runtime.BitSet` | `FOLLOW_28` |
    `static org.antlr.runtime.BitSet` | `FOLLOW_29` |
    `static org.antlr.runtime.BitSet` | `FOLLOW_3` |
    `static org.antlr.runtime.BitSet` | `FOLLOW_30` |
    `static org.antlr.runtime.BitSet` | `FOLLOW_31` |
    `static org.antlr.runtime.BitSet` | `FOLLOW_32` |
    `static org.antlr.runtime.BitSet` | `FOLLOW_33` |
    `static org.antlr.runtime.BitSet` | `FOLLOW_34` |
    `static org.antlr.runtime.BitSet` | `FOLLOW_35` |
    `static org.antlr.runtime.BitSet` | `FOLLOW_36` |
    `static org.antlr.runtime.BitSet` | `FOLLOW_37` |
    `static org.antlr.runtime.BitSet` | `FOLLOW_38` |
    `static org.antlr.runtime.BitSet` | `FOLLOW_39` |
    `static org.antlr.runtime.BitSet` | `FOLLOW_4` |
    `static org.antlr.runtime.BitSet` | `FOLLOW_40` |
    `static org.antlr.runtime.BitSet` | `FOLLOW_41` |
    `static org.antlr.runtime.BitSet` | `FOLLOW_42` |
    `static org.antlr.runtime.BitSet` | `FOLLOW_43` |
    `static org.antlr.runtime.BitSet` | `FOLLOW_44` |
    `static org.antlr.runtime.BitSet` | `FOLLOW_45` |
    `static org.antlr.runtime.BitSet` | `FOLLOW_46` |
    `static org.antlr.runtime.BitSet` | `FOLLOW_47` |
    `static org.antlr.runtime.BitSet` | `FOLLOW_48` |
    `static org.antlr.runtime.BitSet` | `FOLLOW_49` |
    `static org.antlr.runtime.BitSet` | `FOLLOW_5` |
    `static org.antlr.runtime.BitSet` | `FOLLOW_50` |
    `static org.antlr.runtime.BitSet` | `FOLLOW_51` |
    `static org.antlr.runtime.BitSet` | `FOLLOW_52` |
    `static org.antlr.runtime.BitSet` | `FOLLOW_53` |
    `static org.antlr.runtime.BitSet` | `FOLLOW_54` |
    `static org.antlr.runtime.BitSet` | `FOLLOW_55` |
    `static org.antlr.runtime.BitSet` | `FOLLOW_56` |
    `static org.antlr.runtime.BitSet` | `FOLLOW_57` |
    `static org.antlr.runtime.BitSet` | `FOLLOW_58` |
    `static org.antlr.runtime.BitSet` | `FOLLOW_59` |
    `static org.antlr.runtime.BitSet` | `FOLLOW_6` |
    `static org.antlr.runtime.BitSet` | `FOLLOW_60` |
    `static org.antlr.runtime.BitSet` | `FOLLOW_61` |
    `static org.antlr.runtime.BitSet` | `FOLLOW_62` |
    `static org.antlr.runtime.BitSet` | `FOLLOW_63` |
    `static org.antlr.runtime.BitSet` | `FOLLOW_64` |
    `static org.antlr.runtime.BitSet` | `FOLLOW_65` |
    `static org.antlr.runtime.BitSet` | `FOLLOW_66` |
    `static org.antlr.runtime.BitSet` | `FOLLOW_67` |
    `static org.antlr.runtime.BitSet` | `FOLLOW_68` |
    `static org.antlr.runtime.BitSet` | `FOLLOW_69` |
    `static org.antlr.runtime.BitSet` | `FOLLOW_7` |
    `static org.antlr.runtime.BitSet` | `FOLLOW_70` |
    `static org.antlr.runtime.BitSet` | `FOLLOW_71` |
    `static org.antlr.runtime.BitSet` | `FOLLOW_72` |
    `static org.antlr.runtime.BitSet` | `FOLLOW_73` |
    `static org.antlr.runtime.BitSet` | `FOLLOW_74` |
    `static org.antlr.runtime.BitSet` | `FOLLOW_75` |
    `static org.antlr.runtime.BitSet` | `FOLLOW_76` |
    `static org.antlr.runtime.BitSet` | `FOLLOW_77` |
    `static org.antlr.runtime.BitSet` | `FOLLOW_78` |
    `static org.antlr.runtime.BitSet` | `FOLLOW_79` |
    `static org.antlr.runtime.BitSet` | `FOLLOW_8` |
    `static org.antlr.runtime.BitSet` | `FOLLOW_80` |
    `static org.antlr.runtime.BitSet` | `FOLLOW_81` |
    `static org.antlr.runtime.BitSet` | `FOLLOW_82` |
    `static org.antlr.runtime.BitSet` | `FOLLOW_83` |
    `static org.antlr.runtime.BitSet` | `FOLLOW_84` |
    `static org.antlr.runtime.BitSet` | `FOLLOW_85` |
    `static org.antlr.runtime.BitSet` | `FOLLOW_86` |
    `static org.antlr.runtime.BitSet` | `FOLLOW_87` |
    `static org.antlr.runtime.BitSet` | `FOLLOW_88` |
    `static org.antlr.runtime.BitSet` | `FOLLOW_89` |
    `static org.antlr.runtime.BitSet` | `FOLLOW_9` |
    `static org.antlr.runtime.BitSet` | `FOLLOW_90` |
    `static org.antlr.runtime.BitSet` | `FOLLOW_91` |
    `static org.antlr.runtime.BitSet` | `FOLLOW_92` |
    `static org.antlr.runtime.BitSet` | `FOLLOW_93` |
    `static org.antlr.runtime.BitSet` | `FOLLOW_94` |
    `static org.antlr.runtime.BitSet` | `FOLLOW_95` |
    `static org.antlr.runtime.BitSet` | `FOLLOW_96` |
    `static org.antlr.runtime.BitSet` | `FOLLOW_97` |
    `static org.antlr.runtime.BitSet` | `FOLLOW_98` |
    `static org.antlr.runtime.BitSet` | `FOLLOW_99` |
    `static int` | `RULE_ANY_OTHER` |
    `static int` | `RULE_BOOLEAN_FALSE` |
    `static int` | `RULE_BOOLEAN_TRUE` |
    `static int` | `RULE_DECIMAL` |
    `static int` | `RULE_DIVIDER` |
    `static int` | `RULE_EURODATE` |
    `static int` | `RULE_ID` |
    `static int` | `RULE_INTEGER` |
    `static int` | `RULE_ISODATE` |
    `static int` | `RULE_ISOTIME` |
    `static int` | `RULE_ISOTIMEZONE` |
    `static int` | `RULE_ML_COMMENT` |
    `static int` | `RULE_ML_DOC_COMMENT` |
    `static int` | `RULE_ML_VISIBLE_COMMENT` |
    `static int` | `RULE_ML_VISIBLE_TITLE_COMMENT` |
    `static int` | `RULE_MULTIPLIER` |
    `static int` | `RULE_NEWLINE` |
    `static int` | `RULE_REGEX` |
    `static int` | `RULE_SL_COMMENT` |
    `static int` | `RULE_SL_VISIBLE_COMMENT` |
    `static int` | `RULE_SL_VISIBLE_TITLE_COMMENT` |
    `static int` | `RULE_STRING` |
    `static int` | `RULE_TIMESPAN` |
    `static int` | `RULE_TWELVEHRSTIME` |
    `static int` | `RULE_TWENTYFOURHRSTIME` |
    `static int` | `RULE_UPPERCASE_ID` |
    `static int` | `RULE_USDATE` |
    `static int` | `RULE_WS` |
    `static int` | `T__32` |
    `static int` | `T__33` |
    `static int` | `T__34` |
    `static int` | `T__35` |
    `static int` | `T__36` |
    `static int` | `T__37` |
    `static int` | `T__38` |
    `static int` | `T__39` |
    `static int` | `T__40` |
    `static int` | `T__41` |
    `static int` | `T__42` |
    `static int` | `T__43` |
    `static int` | `T__44` |
    `static int` | `T__45` |
    `static int` | `T__46` |
    `static int` | `T__47` |
    `static int` | `T__48` |
    `static int` | `T__49` |
    `static int` | `T__50` |
    `static int` | `T__51` |
    `static int` | `T__52` |
    `static int` | `T__53` |
    `static int` | `T__54` |
    `static int` | `T__55` |
    `static int` | `T__56` |
    `static int` | `T__57` |
    `static int` | `T__58` |
    `static int` | `T__59` |
    `static int` | `T__60` |
    `static int` | `T__61` |
    `static int` | `T__62` |
    `static int` | `T__63` |
    `static int` | `T__64` |
    `static int` | `T__65` |
    `static int` | `T__66` |
    `static int` | `T__67` |
    `static int` | `T__68` |
    `static int` | `T__69` |
    `static int` | `T__70` |
    `static int` | `T__71` |
    `static int` | `T__72` |
    `static int` | `T__73` |
    `static int` | `T__74` |
    `static int` | `T__75` |
    `static int` | `T__76` |
    `static int` | `T__77` |
    `static int` | `T__78` |
    `static int` | `T__79` |
    `static int` | `T__80` |
    `static int` | `T__81` |
    `static int` | `T__82` |
    `static int` | `T__83` |
    `static int` | `T__84` |
    `static int` | `T__85` |
    `static int` | `T__86` |
    `static int` | `T__87` |
    `static int` | `T__88` |
    `static int` | `T__89` |
    `static int` | `T__90` |
    `static int` | `T__91` |
    `static int` | `T__92` |
    `static int` | `T__93` |
    `static String[]` | `tokenNames` |

    - ### Fields inherited from class org.antlr.runtime.Parser

      `input`

    - ### Fields inherited from class org.antlr.runtime.BaseRecognizer

      `DEFAULT_TOKEN_CHANNEL, HIDDEN, INITIAL_FOLLOW_STACK_SIZE, MEMO_RULE_FAILED, MEMO_RULE_UNKNOWN, NEXT_TOKEN_RULE_NAME, state`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `InternalDSLParser​(org.antlr.runtime.TokenStream input)` |
    `InternalDSLParser​(org.antlr.runtime.TokenStream input, DSLGrammarAccess grammarAccess)` |
    `InternalDSLParser​(org.antlr.runtime.TokenStream input, org.antlr.runtime.RecognizerSharedState state)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.eclipse.emf.ecore.EObject` | `entryRuleArbitraryParameterOrResultName()` |
    `org.eclipse.emf.ecore.EObject` | `entryRuleBooleanValue()` |
    `org.eclipse.emf.ecore.EObject` | `entryRuleCall()` |
    `org.eclipse.emf.ecore.EObject` | `entryRuleCallDefinition()` |
    `org.eclipse.emf.ecore.EObject` | `entryRuleConstant()` |
    `org.eclipse.emf.ecore.EObject` | `entryRuleConstantDefinition()` |
    `org.eclipse.emf.ecore.EObject` | `entryRuleConstantEntity()` |
    `org.eclipse.emf.ecore.EObject` | `entryRuleConstantValue()` |
    `org.eclipse.emf.ecore.EObject` | `entryRuleCustomOperation()` |
    `org.eclipse.emf.ecore.EObject` | `entryRuleDateAndTimeValue()` |
    `org.eclipse.emf.ecore.EObject` | `entryRuleDateValue()` |
    `org.eclipse.emf.ecore.EObject` | `entryRuleDecimalValue()` |
    `org.eclipse.emf.ecore.EObject` | `entryRuleDocumentationComment()` |
    `org.eclipse.emf.ecore.EObject` | `entryRuleEmptyValue()` |
    `org.eclipse.emf.ecore.EObject` | `entryRuleEnumValue()` |
    `org.eclipse.emf.ecore.EObject` | `entryRuleEuropeanDateAnd12HrsTimeValue()` |
    `org.eclipse.emf.ecore.EObject` | `entryRuleEuropeanDateAnd24HrsTimeValue()` |
    `org.eclipse.emf.ecore.EObject` | `entryRuleEuropeanDateValue()` |
    `org.eclipse.emf.ecore.EObject` | `entryRuleExecutionMultiplier()` |
    `org.eclipse.emf.ecore.EObject` | `entryRuleFixedParameterName()` |
    `org.eclipse.emf.ecore.EObject` | `entryRuleFixedResultName()` |
    `org.eclipse.emf.ecore.EObject` | `entryRuleForkDefinition()` |
    `org.eclipse.emf.ecore.EObject` | `entryRuleForkParameter()` |
    `org.eclipse.emf.ecore.EObject` | `entryRuleImport()` |
    `org.eclipse.emf.ecore.EObject` | `entryRuleInexistentValue()` |
    `org.eclipse.emf.ecore.EObject` | `entryRuleIntegerValue()` |
    `org.eclipse.emf.ecore.EObject` | `entryRuleIsoDateAndTimeValue()` |
    `org.eclipse.emf.ecore.EObject` | `entryRuleIsoDateValue()` |
    `org.eclipse.emf.ecore.EObject` | `entryRuleIsoTimeValue()` |
    `org.eclipse.emf.ecore.EObject` | `entryRuleJavaClassReference()` |
    `org.eclipse.emf.ecore.EObject` | `entryRuleJavaConstantReference()` |
    `org.eclipse.emf.ecore.EObject` | `entryRuleJavaConstantValue()` |
    `org.eclipse.emf.ecore.EObject` | `entryRuleKeyValuePair()` |
    `org.eclipse.emf.ecore.EObject` | `entryRuleMethodReference()` |
    `org.eclipse.emf.ecore.EObject` | `entryRuleModel()` |
    `org.eclipse.emf.ecore.EObject` | `entryRuleNamedCallResult()` |
    `org.eclipse.emf.ecore.EObject` | `entryRuleNamedResult()` |
    `org.eclipse.emf.ecore.EObject` | `entryRuleNestedObject()` |
    `String` | `entryRuleNL()` |
    `String` | `entryRuleNLFORCED()` |
    `org.eclipse.emf.ecore.EObject` | `entryRuleNullValue()` |
    `org.eclipse.emf.ecore.EObject` | `entryRuleOperation()` |
    `org.eclipse.emf.ecore.EObject` | `entryRuleOperationDefinition()` |
    `org.eclipse.emf.ecore.EObject` | `entryRulePackageDefinition()` |
    `org.eclipse.emf.ecore.EObject` | `entryRulePackageStatement()` |
    `org.eclipse.emf.ecore.EObject` | `entryRuleParameter()` |
    `org.eclipse.emf.ecore.EObject` | `entryRuleParameterName()` |
    `org.eclipse.emf.ecore.EObject` | `entryRuleParameterTableHeader()` |
    `org.eclipse.emf.ecore.EObject` | `entryRuleParameterTableValue()` |
    `String` | `entryRuleQualifiedJavaClassName()` |
    `String` | `entryRuleQualifiedName()` |
    `String` | `entryRuleQualifiedNameWithWildcard()` |
    `org.eclipse.emf.ecore.EObject` | `entryRuleRegexValue()` |
    `org.eclipse.emf.ecore.EObject` | `entryRuleResultName()` |
    `org.eclipse.emf.ecore.EObject` | `entryRuleResultTableHeader()` |
    `org.eclipse.emf.ecore.EObject` | `entryRuleSimple12HrsTimeValue()` |
    `org.eclipse.emf.ecore.EObject` | `entryRuleSimple24HrsTimeValue()` |
    `org.eclipse.emf.ecore.EObject` | `entryRuleStandardOperation()` |
    `org.eclipse.emf.ecore.EObject` | `entryRuleStatement()` |
    `org.eclipse.emf.ecore.EObject` | `entryRuleStaticValue()` |
    `org.eclipse.emf.ecore.EObject` | `entryRuleStringValue()` |
    `org.eclipse.emf.ecore.EObject` | `entryRuleSuite()` |
    `org.eclipse.emf.ecore.EObject` | `entryRuleSuiteDefinition()` |
    `org.eclipse.emf.ecore.EObject` | `entryRuleSuiteParameter()` |
    `org.eclipse.emf.ecore.EObject` | `entryRuleSuiteParameterDefinition()` |
    `org.eclipse.emf.ecore.EObject` | `entryRuleSuiteReturn()` |
    `org.eclipse.emf.ecore.EObject` | `entryRuleSuiteReturnDefinition()` |
    `org.eclipse.emf.ecore.EObject` | `entryRuleSuiteStatement()` |
    `org.eclipse.emf.ecore.EObject` | `entryRuleSuiteStatementWithResult()` |
    `org.eclipse.emf.ecore.EObject` | `entryRuleTableTest()` |
    `org.eclipse.emf.ecore.EObject` | `entryRuleTableTestRow()` |
    `org.eclipse.emf.ecore.EObject` | `entryRuleTest()` |
    `org.eclipse.emf.ecore.EObject` | `entryRuleTestDefinition()` |
    `org.eclipse.emf.ecore.EObject` | `entryRuleTimeDifference()` |
    `org.eclipse.emf.ecore.EObject` | `entryRuleTimeProgressionFactor()` |
    `org.eclipse.emf.ecore.EObject` | `entryRuleTimeSet()` |
    `org.eclipse.emf.ecore.EObject` | `entryRuleTimeValue()` |
    `org.eclipse.emf.ecore.EObject` | `entryRuleTypedNestedObject()` |
    `org.eclipse.emf.ecore.EObject` | `entryRuleUSDateAnd12HrsTimeValue()` |
    `org.eclipse.emf.ecore.EObject` | `entryRuleUSDateValue()` |
    `org.eclipse.emf.ecore.EObject` | `entryRuleValue()` |
    `org.eclipse.emf.ecore.EObject` | `entryRuleValueOrEnumValueOrOperation()` |
    `org.eclipse.emf.ecore.EObject` | `entryRuleValueOrEnumValueOrOperationCollection()` |
    `org.eclipse.emf.ecore.EObject` | `entryRuleVariable()` |
    `org.eclipse.emf.ecore.EObject` | `entryRuleVariableAssignment()` |
    `org.eclipse.emf.ecore.EObject` | `entryRuleVariableDefinition()` |
    `org.eclipse.emf.ecore.EObject` | `entryRuleVariableEntity()` |
    `org.eclipse.emf.ecore.EObject` | `entryRuleVariableVariable()` |
    `org.eclipse.emf.ecore.EObject` | `entryRuleVariantDefinition()` |
    `org.eclipse.emf.ecore.EObject` | `entryRuleVariantValue()` |
    `org.eclipse.emf.ecore.EObject` | `entryRuleVisibleComment()` |
    `org.eclipse.emf.ecore.EObject` | `entryRuleVisibleDivider()` |
    `org.eclipse.emf.ecore.EObject` | `entryRuleVisibleMultiLineComment()` |
    `org.eclipse.emf.ecore.EObject` | `entryRuleVisibleMultiLineNormalComment()` |
    `org.eclipse.emf.ecore.EObject` | `entryRuleVisibleMultiLineTitleComment()` |
    `org.eclipse.emf.ecore.EObject` | `entryRuleVisibleSingleLineComment()` |
    `org.eclipse.emf.ecore.EObject` | `entryRuleVisibleSingleLineNormalComment()` |
    `org.eclipse.emf.ecore.EObject` | `entryRuleVisibleSingleLineTitleComment()` |
    `protected String` | `getFirstRuleName()` |
    `protected DSLGrammarAccess` | `getGrammarAccess()` |
    `String` | `getGrammarFileName()` |
    `String[]` | `getTokenNames()` |
    `org.eclipse.emf.ecore.EObject` | `ruleArbitraryParameterOrResultName()` |
    `org.eclipse.emf.ecore.EObject` | `ruleBooleanValue()` |
    `org.eclipse.emf.ecore.EObject` | `ruleCall()` |
    `org.eclipse.emf.ecore.EObject` | `ruleCallDefinition()` |
    `org.eclipse.emf.ecore.EObject` | `ruleConstant()` |
    `org.eclipse.emf.ecore.EObject` | `ruleConstantDefinition()` |
    `org.eclipse.emf.ecore.EObject` | `ruleConstantEntity()` |
    `org.eclipse.emf.ecore.EObject` | `ruleConstantValue()` |
    `org.eclipse.emf.ecore.EObject` | `ruleCustomOperation()` |
    `org.eclipse.emf.ecore.EObject` | `ruleDateAndTimeValue()` |
    `org.eclipse.emf.ecore.EObject` | `ruleDateValue()` |
    `org.eclipse.emf.ecore.EObject` | `ruleDecimalValue()` |
    `org.eclipse.emf.ecore.EObject` | `ruleDocumentationComment()` |
    `org.eclipse.emf.ecore.EObject` | `ruleEmptyValue()` |
    `org.eclipse.emf.ecore.EObject` | `ruleEnumValue()` |
    `org.eclipse.emf.ecore.EObject` | `ruleEuropeanDateAnd12HrsTimeValue()` |
    `org.eclipse.emf.ecore.EObject` | `ruleEuropeanDateAnd24HrsTimeValue()` |
    `org.eclipse.emf.ecore.EObject` | `ruleEuropeanDateValue()` |
    `org.eclipse.emf.ecore.EObject` | `ruleExecutionMultiplier()` |
    `org.eclipse.emf.ecore.EObject` | `ruleFixedParameterName()` |
    `org.eclipse.emf.ecore.EObject` | `ruleFixedResultName()` |
    `org.eclipse.emf.ecore.EObject` | `ruleForkDefinition()` |
    `org.eclipse.emf.ecore.EObject` | `ruleForkParameter()` |
    `org.eclipse.emf.ecore.EObject` | `ruleImport()` |
    `org.eclipse.emf.ecore.EObject` | `ruleInexistentValue()` |
    `org.eclipse.emf.ecore.EObject` | `ruleIntegerValue()` |
    `org.eclipse.emf.ecore.EObject` | `ruleIsoDateAndTimeValue()` |
    `org.eclipse.emf.ecore.EObject` | `ruleIsoDateValue()` |
    `org.eclipse.emf.ecore.EObject` | `ruleIsoTimeValue()` |
    `org.eclipse.emf.ecore.EObject` | `ruleJavaClassReference()` |
    `org.eclipse.emf.ecore.EObject` | `ruleJavaConstantReference()` |
    `org.eclipse.emf.ecore.EObject` | `ruleJavaConstantValue()` |
    `org.eclipse.emf.ecore.EObject` | `ruleKeyValuePair()` |
    `org.eclipse.emf.ecore.EObject` | `ruleMethodReference()` |
    `org.eclipse.emf.ecore.EObject` | `ruleModel()` |
    `org.eclipse.emf.ecore.EObject` | `ruleNamedCallResult()` |
    `org.eclipse.emf.ecore.EObject` | `ruleNamedResult()` |
    `org.eclipse.emf.ecore.EObject` | `ruleNestedObject()` |
    `org.eclipse.xtext.parser.antlr.AntlrDatatypeRuleToken` | `ruleNL()` |
    `org.eclipse.xtext.parser.antlr.AntlrDatatypeRuleToken` | `ruleNLFORCED()` |
    `org.eclipse.emf.ecore.EObject` | `ruleNullValue()` |
    `org.eclipse.emf.ecore.EObject` | `ruleOperation()` |
    `org.eclipse.emf.ecore.EObject` | `ruleOperationDefinition()` |
    `org.eclipse.emf.ecore.EObject` | `rulePackageDefinition()` |
    `org.eclipse.emf.ecore.EObject` | `rulePackageStatement()` |
    `org.eclipse.emf.ecore.EObject` | `ruleParameter()` |
    `org.eclipse.emf.ecore.EObject` | `ruleParameterName()` |
    `org.eclipse.emf.ecore.EObject` | `ruleParameterTableHeader()` |
    `org.eclipse.emf.ecore.EObject` | `ruleParameterTableValue()` |
    `org.eclipse.xtext.parser.antlr.AntlrDatatypeRuleToken` | `ruleQualifiedJavaClassName()` |
    `org.eclipse.xtext.parser.antlr.AntlrDatatypeRuleToken` | `ruleQualifiedName()` |
    `org.eclipse.xtext.parser.antlr.AntlrDatatypeRuleToken` | `ruleQualifiedNameWithWildcard()` |
    `org.eclipse.emf.ecore.EObject` | `ruleRegexValue()` |
    `org.eclipse.emf.ecore.EObject` | `ruleResultName()` |
    `org.eclipse.emf.ecore.EObject` | `ruleResultTableHeader()` |
    `org.eclipse.emf.ecore.EObject` | `ruleSimple12HrsTimeValue()` |
    `org.eclipse.emf.ecore.EObject` | `ruleSimple24HrsTimeValue()` |
    `org.eclipse.emf.ecore.EObject` | `ruleStandardOperation()` |
    `org.eclipse.emf.ecore.EObject` | `ruleStatement()` |
    `org.eclipse.emf.ecore.EObject` | `ruleStaticValue()` |
    `org.eclipse.emf.ecore.EObject` | `ruleStringValue()` |
    `org.eclipse.emf.ecore.EObject` | `ruleSuite()` |
    `org.eclipse.emf.ecore.EObject` | `ruleSuiteDefinition()` |
    `org.eclipse.emf.ecore.EObject` | `ruleSuiteParameter()` |
    `org.eclipse.emf.ecore.EObject` | `ruleSuiteParameterDefinition()` |
    `org.eclipse.emf.ecore.EObject` | `ruleSuiteReturn()` |
    `org.eclipse.emf.ecore.EObject` | `ruleSuiteReturnDefinition()` |
    `org.eclipse.emf.ecore.EObject` | `ruleSuiteStatement()` |
    `org.eclipse.emf.ecore.EObject` | `ruleSuiteStatementWithResult()` |
    `org.eclipse.emf.ecore.EObject` | `ruleTableTest()` |
    `org.eclipse.emf.ecore.EObject` | `ruleTableTestRow()` |
    `org.eclipse.emf.ecore.EObject` | `ruleTest()` |
    `org.eclipse.emf.ecore.EObject` | `ruleTestDefinition()` |
    `org.eclipse.emf.ecore.EObject` | `ruleTimeDifference()` |
    `org.eclipse.emf.ecore.EObject` | `ruleTimeProgressionFactor()` |
    `org.eclipse.emf.ecore.EObject` | `ruleTimeSet()` |
    `org.eclipse.emf.ecore.EObject` | `ruleTimeValue()` |
    `org.eclipse.emf.ecore.EObject` | `ruleTypedNestedObject()` |
    `org.eclipse.emf.ecore.EObject` | `ruleUSDateAnd12HrsTimeValue()` |
    `org.eclipse.emf.ecore.EObject` | `ruleUSDateValue()` |
    `org.eclipse.emf.ecore.EObject` | `ruleValue()` |
    `org.eclipse.emf.ecore.EObject` | `ruleValueOrEnumValueOrOperation()` |
    `org.eclipse.emf.ecore.EObject` | `ruleValueOrEnumValueOrOperationCollection()` |
    `org.eclipse.emf.ecore.EObject` | `ruleVariable()` |
    `org.eclipse.emf.ecore.EObject` | `ruleVariableAssignment()` |
    `org.eclipse.emf.ecore.EObject` | `ruleVariableDefinition()` |
    `org.eclipse.emf.ecore.EObject` | `ruleVariableEntity()` |
    `org.eclipse.emf.ecore.EObject` | `ruleVariableVariable()` |
    `org.eclipse.emf.ecore.EObject` | `ruleVariantDefinition()` |
    `org.eclipse.emf.ecore.EObject` | `ruleVariantValue()` |
    `org.eclipse.emf.ecore.EObject` | `ruleVisibleComment()` |
    `org.eclipse.emf.ecore.EObject` | `ruleVisibleDivider()` |
    `org.eclipse.emf.ecore.EObject` | `ruleVisibleMultiLineComment()` |
    `org.eclipse.emf.ecore.EObject` | `ruleVisibleMultiLineNormalComment()` |
    `org.eclipse.emf.ecore.EObject` | `ruleVisibleMultiLineTitleComment()` |
    `org.eclipse.emf.ecore.EObject` | `ruleVisibleSingleLineComment()` |
    `org.eclipse.emf.ecore.EObject` | `ruleVisibleSingleLineNormalComment()` |
    `org.eclipse.emf.ecore.EObject` | `ruleVisibleSingleLineTitleComment()` |

    - ### Methods inherited from class org.eclipse.xtext.parser.antlr.AbstractInternalAntlrParser

      `add, add, add, addWithLastConsumed, addWithLastConsumed, afterParserOrEnumRuleCall, appendAllTokens, appendError, appendSkippedTokens, appendTrailingHiddenTokens, associateNodeWithAstElement, createAllRules, createErrorContext, createModelElement, createModelElement, createModelElement, createModelElementForParent, createModelElementForParent, createValueConverterErrorContext, displayRecognitionError, emitErrorMessage, enterRule, forceCreateModelElement, forceCreateModelElementAndAdd, forceCreateModelElementAndSet, getCurrentNode, getErrorMessage, getInput, getLastLeafNode, getNodeModelBuilder, getSemanticModelBuilder, getSyntaxErrorMessage, getSyntaxErrorProvider, getUnorderedGroupHelper, getValueConverterExceptionMessage, handleValueConverterException, insertCompositeNode, leaveRule, newCompositeNode, newLeafNode, parse, parse, recover, recoverFromMismatchedToken, registerRules, reportError, set, set, set, setNodeModelBuilder, setSemanticModelBuilder, setSyntaxErrorProvider, setTokenTypeMap, setUnorderedGroupHelper, setWithLastConsumed, setWithLastConsumed, superGetErrorMessage, unpackEncodedStringArray`

    - ### Methods inherited from class org.antlr.runtime.Parser

      `getCurrentInputSymbol, getMissingSymbol, getSourceName, getTokenStream, reset, setTokenStream, traceIn, traceOut`

    - ### Methods inherited from class org.antlr.runtime.BaseRecognizer

      `alreadyParsedRule, beginResync, combineFollows, computeContextSensitiveRuleFOLLOW, computeErrorRecoverySet, consumeUntil, consumeUntil, endResync, failed, getBacktrackingLevel, getErrorHeader, getNumberOfSyntaxErrors, getRuleInvocationStack, getRuleInvocationStack, getRuleMemoization, getRuleMemoizationCacheSize, getTokenErrorDisplay, match, matchAny, memoize, mismatchIsMissingToken, mismatchIsUnwantedToken, pushFollow, recoverFromMismatchedSet, setBacktrackingLevel, toStrings, traceIn, traceOut`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### tokenNames

          public static final String[] tokenNames

    - #### RULE_ISOTIME

          public static final int RULE_ISOTIME

      See Also:
        Constant Field Values

    - #### T__50

          public static final int T__50

      See Also:
        Constant Field Values

    - #### RULE_MULTIPLIER

          public static final int RULE_MULTIPLIER

      See Also:
        Constant Field Values

    - #### RULE_UPPERCASE_ID

          public static final int RULE_UPPERCASE_ID

      See Also:
        Constant Field Values

    - #### RULE_ML_DOC_COMMENT

          public static final int RULE_ML_DOC_COMMENT

      See Also:
        Constant Field Values

    - #### T__59

          public static final int T__59

      See Also:
        Constant Field Values

    - #### T__55

          public static final int T__55

      See Also:
        Constant Field Values

    - #### T__56

          public static final int T__56

      See Also:
        Constant Field Values

    - #### T__57

          public static final int T__57

      See Also:
        Constant Field Values

    - #### T__58

          public static final int T__58

      See Also:
        Constant Field Values

    - #### T__51

          public static final int T__51

      See Also:
        Constant Field Values

    - #### T__52

          public static final int T__52

      See Also:
        Constant Field Values

    - #### T__53

          public static final int T__53

      See Also:
        Constant Field Values

    - #### T__54

          public static final int T__54

      See Also:
        Constant Field Values

    - #### T__60

          public static final int T__60

      See Also:
        Constant Field Values

    - #### T__61

          public static final int T__61

      See Also:
        Constant Field Values

    - #### RULE_ID

          public static final int RULE_ID

      See Also:
        Constant Field Values

    - #### RULE_TWENTYFOURHRSTIME

          public static final int RULE_TWENTYFOURHRSTIME

      See Also:
        Constant Field Values

    - #### RULE_ISOTIMEZONE

          public static final int RULE_ISOTIMEZONE

      See Also:
        Constant Field Values

    - #### RULE_ISODATE

          public static final int RULE_ISODATE

      See Also:
        Constant Field Values

    - #### T__66

          public static final int T__66

      See Also:
        Constant Field Values

    - #### RULE_ML_COMMENT

          public static final int RULE_ML_COMMENT

      See Also:
        Constant Field Values

    - #### T__67

          public static final int T__67

      See Also:
        Constant Field Values

    - #### T__68

          public static final int T__68

      See Also:
        Constant Field Values

    - #### RULE_SL_VISIBLE_COMMENT

          public static final int RULE_SL_VISIBLE_COMMENT

      See Also:
        Constant Field Values

    - #### T__69

          public static final int T__69

      See Also:
        Constant Field Values

    - #### T__62

          public static final int T__62

      See Also:
        Constant Field Values

    - #### RULE_USDATE

          public static final int RULE_USDATE

      See Also:
        Constant Field Values

    - #### T__63

          public static final int T__63

      See Also:
        Constant Field Values

    - #### T__64

          public static final int T__64

      See Also:
        Constant Field Values

    - #### T__65

          public static final int T__65

      See Also:
        Constant Field Values

    - #### RULE_NEWLINE

          public static final int RULE_NEWLINE

      See Also:
        Constant Field Values

    - #### T__37

          public static final int T__37

      See Also:
        Constant Field Values

    - #### T__38

          public static final int T__38

      See Also:
        Constant Field Values

    - #### T__39

          public static final int T__39

      See Also:
        Constant Field Values

    - #### T__33

          public static final int T__33

      See Also:
        Constant Field Values

    - #### T__34

          public static final int T__34

      See Also:
        Constant Field Values

    - #### T__35

          public static final int T__35

      See Also:
        Constant Field Values

    - #### T__36

          public static final int T__36

      See Also:
        Constant Field Values

    - #### T__32

          public static final int T__32

      See Also:
        Constant Field Values

    - #### RULE_EURODATE

          public static final int RULE_EURODATE

      See Also:
        Constant Field Values

    - #### RULE_ML_VISIBLE_TITLE_COMMENT

          public static final int RULE_ML_VISIBLE_TITLE_COMMENT

      See Also:
        Constant Field Values

    - #### T__48

          public static final int T__48

      See Also:
        Constant Field Values

    - #### T__49

          public static final int T__49

      See Also:
        Constant Field Values

    - #### T__44

          public static final int T__44

      See Also:
        Constant Field Values

    - #### T__45

          public static final int T__45

      See Also:
        Constant Field Values

    - #### T__46

          public static final int T__46

      See Also:
        Constant Field Values

    - #### T__47

          public static final int T__47

      See Also:
        Constant Field Values

    - #### T__40

          public static final int T__40

      See Also:
        Constant Field Values

    - #### T__41

          public static final int T__41

      See Also:
        Constant Field Values

    - #### T__42

          public static final int T__42

      See Also:
        Constant Field Values

    - #### T__43

          public static final int T__43

      See Also:
        Constant Field Values

    - #### T__91

          public static final int T__91

      See Also:
        Constant Field Values

    - #### T__92

          public static final int T__92

      See Also:
        Constant Field Values

    - #### T__93

          public static final int T__93

      See Also:
        Constant Field Values

    - #### T__90

          public static final int T__90

      See Also:
        Constant Field Values

    - #### RULE_DIVIDER

          public static final int RULE_DIVIDER

      See Also:
        Constant Field Values

    - #### RULE_TIMESPAN

          public static final int RULE_TIMESPAN

      See Also:
        Constant Field Values

    - #### RULE_BOOLEAN_TRUE

          public static final int RULE_BOOLEAN_TRUE

      See Also:
        Constant Field Values

    - #### RULE_ML_VISIBLE_COMMENT

          public static final int RULE_ML_VISIBLE_COMMENT

      See Also:
        Constant Field Values

    - #### RULE_DECIMAL

          public static final int RULE_DECIMAL

      See Also:
        Constant Field Values

    - #### RULE_BOOLEAN_FALSE

          public static final int RULE_BOOLEAN_FALSE

      See Also:
        Constant Field Values

    - #### T__70

          public static final int T__70

      See Also:
        Constant Field Values

    - #### T__71

          public static final int T__71

      See Also:
        Constant Field Values

    - #### RULE_REGEX

          public static final int RULE_REGEX

      See Also:
        Constant Field Values

    - #### T__72

          public static final int T__72

      See Also:
        Constant Field Values

    - #### RULE_STRING

          public static final int RULE_STRING

      See Also:
        Constant Field Values

    - #### RULE_SL_VISIBLE_TITLE_COMMENT

          public static final int RULE_SL_VISIBLE_TITLE_COMMENT

      See Also:
        Constant Field Values

    - #### RULE_SL_COMMENT

          public static final int RULE_SL_COMMENT

      See Also:
        Constant Field Values

    - #### T__77

          public static final int T__77

      See Also:
        Constant Field Values

    - #### T__78

          public static final int T__78

      See Also:
        Constant Field Values

    - #### T__79

          public static final int T__79

      See Also:
        Constant Field Values

    - #### T__73

          public static final int T__73

      See Also:
        Constant Field Values

    - #### EOF

          public static final int EOF

      See Also:
        Constant Field Values

    - #### T__74

          public static final int T__74

      See Also:
        Constant Field Values

    - #### T__75

          public static final int T__75

      See Also:
        Constant Field Values

    - #### RULE_TWELVEHRSTIME

          public static final int RULE_TWELVEHRSTIME

      See Also:
        Constant Field Values

    - #### T__76

          public static final int T__76

      See Also:
        Constant Field Values

    - #### T__80

          public static final int T__80

      See Also:
        Constant Field Values

    - #### T__81

          public static final int T__81

      See Also:
        Constant Field Values

    - #### T__82

          public static final int T__82

      See Also:
        Constant Field Values

    - #### T__83

          public static final int T__83

      See Also:
        Constant Field Values

    - #### RULE_WS

          public static final int RULE_WS

      See Also:
        Constant Field Values

    - #### RULE_ANY_OTHER

          public static final int RULE_ANY_OTHER

      See Also:
        Constant Field Values

    - #### T__88

          public static final int T__88

      See Also:
        Constant Field Values

    - #### T__89

          public static final int T__89

      See Also:
        Constant Field Values

    - #### T__84

          public static final int T__84

      See Also:
        Constant Field Values

    - #### T__85

          public static final int T__85

      See Also:
        Constant Field Values

    - #### RULE_INTEGER

          public static final int RULE_INTEGER

      See Also:
        Constant Field Values

    - #### T__86

          public static final int T__86

      See Also:
        Constant Field Values

    - #### T__87

          public static final int T__87

      See Also:
        Constant Field Values

    - #### dfa3

          protected de.gebit.integrity.parser.antlr.internal.InternalDSLParser.DFA3 dfa3

    - #### dfa9

          protected de.gebit.integrity.parser.antlr.internal.InternalDSLParser.DFA9 dfa9

    - #### dfa33

          protected de.gebit.integrity.parser.antlr.internal.InternalDSLParser.DFA33 dfa33

    - #### dfa45

          protected de.gebit.integrity.parser.antlr.internal.InternalDSLParser.DFA45 dfa45

    - #### dfa46

          protected de.gebit.integrity.parser.antlr.internal.InternalDSLParser.DFA46 dfa46

    - #### dfa47

          protected de.gebit.integrity.parser.antlr.internal.InternalDSLParser.DFA47 dfa47

    - #### dfa48

          protected de.gebit.integrity.parser.antlr.internal.InternalDSLParser.DFA48 dfa48

    - #### dfa52

          protected de.gebit.integrity.parser.antlr.internal.InternalDSLParser.DFA52 dfa52

    - #### dfa58

          protected de.gebit.integrity.parser.antlr.internal.InternalDSLParser.DFA58 dfa58

    - #### dfa59

          protected de.gebit.integrity.parser.antlr.internal.InternalDSLParser.DFA59 dfa59

    - #### dfa60

          protected de.gebit.integrity.parser.antlr.internal.InternalDSLParser.DFA60 dfa60

    - #### dfa61

          protected de.gebit.integrity.parser.antlr.internal.InternalDSLParser.DFA61 dfa61

    - #### dfa75

          protected de.gebit.integrity.parser.antlr.internal.InternalDSLParser.DFA75 dfa75

    - #### dfa73

          protected de.gebit.integrity.parser.antlr.internal.InternalDSLParser.DFA73 dfa73

    - #### dfa77

          protected de.gebit.integrity.parser.antlr.internal.InternalDSLParser.DFA77 dfa77

    - #### dfa78

          protected de.gebit.integrity.parser.antlr.internal.InternalDSLParser.DFA78 dfa78

    - #### dfa89

          protected de.gebit.integrity.parser.antlr.internal.InternalDSLParser.DFA89 dfa89

    - #### dfa90

          protected de.gebit.integrity.parser.antlr.internal.InternalDSLParser.DFA90 dfa90

    - #### dfa91

          protected de.gebit.integrity.parser.antlr.internal.InternalDSLParser.DFA91 dfa91

    - #### dfa93

          protected de.gebit.integrity.parser.antlr.internal.InternalDSLParser.DFA93 dfa93

    - #### dfa95

          protected de.gebit.integrity.parser.antlr.internal.InternalDSLParser.DFA95 dfa95

    - #### dfa99

          protected de.gebit.integrity.parser.antlr.internal.InternalDSLParser.DFA99 dfa99

    - #### FOLLOW_1

          public static final org.antlr.runtime.BitSet FOLLOW_1

    - #### FOLLOW_2

          public static final org.antlr.runtime.BitSet FOLLOW_2

    - #### FOLLOW_3

          public static final org.antlr.runtime.BitSet FOLLOW_3

    - #### FOLLOW_4

          public static final org.antlr.runtime.BitSet FOLLOW_4

    - #### FOLLOW_5

          public static final org.antlr.runtime.BitSet FOLLOW_5

    - #### FOLLOW_6

          public static final org.antlr.runtime.BitSet FOLLOW_6

    - #### FOLLOW_7

          public static final org.antlr.runtime.BitSet FOLLOW_7

    - #### FOLLOW_8

          public static final org.antlr.runtime.BitSet FOLLOW_8

    - #### FOLLOW_9

          public static final org.antlr.runtime.BitSet FOLLOW_9

    - #### FOLLOW_10

          public static final org.antlr.runtime.BitSet FOLLOW_10

    - #### FOLLOW_11

          public static final org.antlr.runtime.BitSet FOLLOW_11

    - #### FOLLOW_12

          public static final org.antlr.runtime.BitSet FOLLOW_12

    - #### FOLLOW_13

          public static final org.antlr.runtime.BitSet FOLLOW_13

    - #### FOLLOW_14

          public static final org.antlr.runtime.BitSet FOLLOW_14

    - #### FOLLOW_15

          public static final org.antlr.runtime.BitSet FOLLOW_15

    - #### FOLLOW_16

          public static final org.antlr.runtime.BitSet FOLLOW_16

    - #### FOLLOW_17

          public static final org.antlr.runtime.BitSet FOLLOW_17

    - #### FOLLOW_18

          public static final org.antlr.runtime.BitSet FOLLOW_18

    - #### FOLLOW_19

          public static final org.antlr.runtime.BitSet FOLLOW_19

    - #### FOLLOW_20

          public static final org.antlr.runtime.BitSet FOLLOW_20

    - #### FOLLOW_21

          public static final org.antlr.runtime.BitSet FOLLOW_21

    - #### FOLLOW_22

          public static final org.antlr.runtime.BitSet FOLLOW_22

    - #### FOLLOW_23

          public static final org.antlr.runtime.BitSet FOLLOW_23

    - #### FOLLOW_24

          public static final org.antlr.runtime.BitSet FOLLOW_24

    - #### FOLLOW_25

          public static final org.antlr.runtime.BitSet FOLLOW_25

    - #### FOLLOW_26

          public static final org.antlr.runtime.BitSet FOLLOW_26

    - #### FOLLOW_27

          public static final org.antlr.runtime.BitSet FOLLOW_27

    - #### FOLLOW_28

          public static final org.antlr.runtime.BitSet FOLLOW_28

    - #### FOLLOW_29

          public static final org.antlr.runtime.BitSet FOLLOW_29

    - #### FOLLOW_30

          public static final org.antlr.runtime.BitSet FOLLOW_30

    - #### FOLLOW_31

          public static final org.antlr.runtime.BitSet FOLLOW_31

    - #### FOLLOW_32

          public static final org.antlr.runtime.BitSet FOLLOW_32

    - #### FOLLOW_33

          public static final org.antlr.runtime.BitSet FOLLOW_33

    - #### FOLLOW_34

          public static final org.antlr.runtime.BitSet FOLLOW_34

    - #### FOLLOW_35

          public static final org.antlr.runtime.BitSet FOLLOW_35

    - #### FOLLOW_36

          public static final org.antlr.runtime.BitSet FOLLOW_36

    - #### FOLLOW_37

          public static final org.antlr.runtime.BitSet FOLLOW_37

    - #### FOLLOW_38

          public static final org.antlr.runtime.BitSet FOLLOW_38

    - #### FOLLOW_39

          public static final org.antlr.runtime.BitSet FOLLOW_39

    - #### FOLLOW_40

          public static final org.antlr.runtime.BitSet FOLLOW_40

    - #### FOLLOW_41

          public static final org.antlr.runtime.BitSet FOLLOW_41

    - #### FOLLOW_42

          public static final org.antlr.runtime.BitSet FOLLOW_42

    - #### FOLLOW_43

          public static final org.antlr.runtime.BitSet FOLLOW_43

    - #### FOLLOW_44

          public static final org.antlr.runtime.BitSet FOLLOW_44

    - #### FOLLOW_45

          public static final org.antlr.runtime.BitSet FOLLOW_45

    - #### FOLLOW_46

          public static final org.antlr.runtime.BitSet FOLLOW_46

    - #### FOLLOW_47

          public static final org.antlr.runtime.BitSet FOLLOW_47

    - #### FOLLOW_48

          public static final org.antlr.runtime.BitSet FOLLOW_48

    - #### FOLLOW_49

          public static final org.antlr.runtime.BitSet FOLLOW_49

    - #### FOLLOW_50

          public static final org.antlr.runtime.BitSet FOLLOW_50

    - #### FOLLOW_51

          public static final org.antlr.runtime.BitSet FOLLOW_51

    - #### FOLLOW_52

          public static final org.antlr.runtime.BitSet FOLLOW_52

    - #### FOLLOW_53

          public static final org.antlr.runtime.BitSet FOLLOW_53

    - #### FOLLOW_54

          public static final org.antlr.runtime.BitSet FOLLOW_54

    - #### FOLLOW_55

          public static final org.antlr.runtime.BitSet FOLLOW_55

    - #### FOLLOW_56

          public static final org.antlr.runtime.BitSet FOLLOW_56

    - #### FOLLOW_57

          public static final org.antlr.runtime.BitSet FOLLOW_57

    - #### FOLLOW_58

          public static final org.antlr.runtime.BitSet FOLLOW_58

    - #### FOLLOW_59

          public static final org.antlr.runtime.BitSet FOLLOW_59

    - #### FOLLOW_60

          public static final org.antlr.runtime.BitSet FOLLOW_60

    - #### FOLLOW_61

          public static final org.antlr.runtime.BitSet FOLLOW_61

    - #### FOLLOW_62

          public static final org.antlr.runtime.BitSet FOLLOW_62

    - #### FOLLOW_63

          public static final org.antlr.runtime.BitSet FOLLOW_63

    - #### FOLLOW_64

          public static final org.antlr.runtime.BitSet FOLLOW_64

    - #### FOLLOW_65

          public static final org.antlr.runtime.BitSet FOLLOW_65

    - #### FOLLOW_66

          public static final org.antlr.runtime.BitSet FOLLOW_66

    - #### FOLLOW_67

          public static final org.antlr.runtime.BitSet FOLLOW_67

    - #### FOLLOW_68

          public static final org.antlr.runtime.BitSet FOLLOW_68

    - #### FOLLOW_69

          public static final org.antlr.runtime.BitSet FOLLOW_69

    - #### FOLLOW_70

          public static final org.antlr.runtime.BitSet FOLLOW_70

    - #### FOLLOW_71

          public static final org.antlr.runtime.BitSet FOLLOW_71

    - #### FOLLOW_72

          public static final org.antlr.runtime.BitSet FOLLOW_72

    - #### FOLLOW_73

          public static final org.antlr.runtime.BitSet FOLLOW_73

    - #### FOLLOW_74

          public static final org.antlr.runtime.BitSet FOLLOW_74

    - #### FOLLOW_75

          public static final org.antlr.runtime.BitSet FOLLOW_75

    - #### FOLLOW_76

          public static final org.antlr.runtime.BitSet FOLLOW_76

    - #### FOLLOW_77

          public static final org.antlr.runtime.BitSet FOLLOW_77

    - #### FOLLOW_78

          public static final org.antlr.runtime.BitSet FOLLOW_78

    - #### FOLLOW_79

          public static final org.antlr.runtime.BitSet FOLLOW_79

    - #### FOLLOW_80

          public static final org.antlr.runtime.BitSet FOLLOW_80

    - #### FOLLOW_81

          public static final org.antlr.runtime.BitSet FOLLOW_81

    - #### FOLLOW_82

          public static final org.antlr.runtime.BitSet FOLLOW_82

    - #### FOLLOW_83

          public static final org.antlr.runtime.BitSet FOLLOW_83

    - #### FOLLOW_84

          public static final org.antlr.runtime.BitSet FOLLOW_84

    - #### FOLLOW_85

          public static final org.antlr.runtime.BitSet FOLLOW_85

    - #### FOLLOW_86

          public static final org.antlr.runtime.BitSet FOLLOW_86

    - #### FOLLOW_87

          public static final org.antlr.runtime.BitSet FOLLOW_87

    - #### FOLLOW_88

          public static final org.antlr.runtime.BitSet FOLLOW_88

    - #### FOLLOW_89

          public static final org.antlr.runtime.BitSet FOLLOW_89

    - #### FOLLOW_90

          public static final org.antlr.runtime.BitSet FOLLOW_90

    - #### FOLLOW_91

          public static final org.antlr.runtime.BitSet FOLLOW_91

    - #### FOLLOW_92

          public static final org.antlr.runtime.BitSet FOLLOW_92

    - #### FOLLOW_93

          public static final org.antlr.runtime.BitSet FOLLOW_93

    - #### FOLLOW_94

          public static final org.antlr.runtime.BitSet FOLLOW_94

    - #### FOLLOW_95

          public static final org.antlr.runtime.BitSet FOLLOW_95

    - #### FOLLOW_96

          public static final org.antlr.runtime.BitSet FOLLOW_96

    - #### FOLLOW_97

          public static final org.antlr.runtime.BitSet FOLLOW_97

    - #### FOLLOW_98

          public static final org.antlr.runtime.BitSet FOLLOW_98

    - #### FOLLOW_99

          public static final org.antlr.runtime.BitSet FOLLOW_99

    - #### FOLLOW_100

          public static final org.antlr.runtime.BitSet FOLLOW_100

    - #### FOLLOW_101

          public static final org.antlr.runtime.BitSet FOLLOW_101

    - #### FOLLOW_102

          public static final org.antlr.runtime.BitSet FOLLOW_102

    - #### FOLLOW_103

          public static final org.antlr.runtime.BitSet FOLLOW_103

    - #### FOLLOW_104

          public static final org.antlr.runtime.BitSet FOLLOW_104

    - #### FOLLOW_105

          public static final org.antlr.runtime.BitSet FOLLOW_105

    - #### FOLLOW_106

          public static final org.antlr.runtime.BitSet FOLLOW_106

    - #### FOLLOW_107

          public static final org.antlr.runtime.BitSet FOLLOW_107

    - #### FOLLOW_108

          public static final org.antlr.runtime.BitSet FOLLOW_108

    - #### FOLLOW_109

          public static final org.antlr.runtime.BitSet FOLLOW_109

    - #### FOLLOW_110

          public static final org.antlr.runtime.BitSet FOLLOW_110

    - #### FOLLOW_111

          public static final org.antlr.runtime.BitSet FOLLOW_111

    - #### FOLLOW_112

          public static final org.antlr.runtime.BitSet FOLLOW_112

    - #### FOLLOW_113

          public static final org.antlr.runtime.BitSet FOLLOW_113

    - #### FOLLOW_114

          public static final org.antlr.runtime.BitSet FOLLOW_114

  - ### Constructor Detail

    - #### InternalDSLParser

          public InternalDSLParser​(org.antlr.runtime.TokenStream input)

    - #### InternalDSLParser

          public InternalDSLParser​(org.antlr.runtime.TokenStream input,
                                   org.antlr.runtime.RecognizerSharedState state)

    - #### InternalDSLParser

          public InternalDSLParser​(org.antlr.runtime.TokenStream input,
                                   DSLGrammarAccess grammarAccess)

  - ### Method Detail

    - #### getTokenNames

          public String[] getTokenNames()

      Overrides:
        `getTokenNames` in class `org.antlr.runtime.BaseRecognizer`

    - #### getGrammarFileName

          public String getGrammarFileName()

      Overrides:
        `getGrammarFileName` in class `org.antlr.runtime.BaseRecognizer`

    - #### getFirstRuleName

          protected String getFirstRuleName()

      Specified by:
        `getFirstRuleName` in class `org.eclipse.xtext.parser.antlr.AbstractInternalAntlrParser`

    - #### getGrammarAccess

          protected DSLGrammarAccess getGrammarAccess()

      Specified by:
        `getGrammarAccess` in class `org.eclipse.xtext.parser.antlr.AbstractInternalAntlrParser`

    - #### entryRuleModel

          public final org.eclipse.emf.ecore.EObject entryRuleModel()
                                                             throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleModel

          public final org.eclipse.emf.ecore.EObject ruleModel()
                                                        throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleStatement

          public final org.eclipse.emf.ecore.EObject entryRuleStatement()
                                                                 throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleStatement

          public final org.eclipse.emf.ecore.EObject ruleStatement()
                                                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleVisibleComment

          public final org.eclipse.emf.ecore.EObject entryRuleVisibleComment()
                                                                      throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleVisibleComment

          public final org.eclipse.emf.ecore.EObject ruleVisibleComment()
                                                                 throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleVisibleSingleLineComment

          public final org.eclipse.emf.ecore.EObject entryRuleVisibleSingleLineComment()
                                                                                throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleVisibleSingleLineComment

          public final org.eclipse.emf.ecore.EObject ruleVisibleSingleLineComment()
                                                                           throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleVisibleSingleLineNormalComment

          public final org.eclipse.emf.ecore.EObject entryRuleVisibleSingleLineNormalComment()
                                                                                      throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleVisibleSingleLineNormalComment

          public final org.eclipse.emf.ecore.EObject ruleVisibleSingleLineNormalComment()
                                                                                 throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleVisibleSingleLineTitleComment

          public final org.eclipse.emf.ecore.EObject entryRuleVisibleSingleLineTitleComment()
                                                                                     throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleVisibleSingleLineTitleComment

          public final org.eclipse.emf.ecore.EObject ruleVisibleSingleLineTitleComment()
                                                                                throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleVisibleMultiLineComment

          public final org.eclipse.emf.ecore.EObject entryRuleVisibleMultiLineComment()
                                                                               throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleVisibleMultiLineComment

          public final org.eclipse.emf.ecore.EObject ruleVisibleMultiLineComment()
                                                                          throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleVisibleMultiLineNormalComment

          public final org.eclipse.emf.ecore.EObject entryRuleVisibleMultiLineNormalComment()
                                                                                     throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleVisibleMultiLineNormalComment

          public final org.eclipse.emf.ecore.EObject ruleVisibleMultiLineNormalComment()
                                                                                throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleVisibleMultiLineTitleComment

          public final org.eclipse.emf.ecore.EObject entryRuleVisibleMultiLineTitleComment()
                                                                                    throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleVisibleMultiLineTitleComment

          public final org.eclipse.emf.ecore.EObject ruleVisibleMultiLineTitleComment()
                                                                               throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleVisibleDivider

          public final org.eclipse.emf.ecore.EObject entryRuleVisibleDivider()
                                                                      throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleVisibleDivider

          public final org.eclipse.emf.ecore.EObject ruleVisibleDivider()
                                                                 throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRulePackageDefinition

          public final org.eclipse.emf.ecore.EObject entryRulePackageDefinition()
                                                                         throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### rulePackageDefinition

          public final org.eclipse.emf.ecore.EObject rulePackageDefinition()
                                                                    throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRulePackageStatement

          public final org.eclipse.emf.ecore.EObject entryRulePackageStatement()
                                                                        throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### rulePackageStatement

          public final org.eclipse.emf.ecore.EObject rulePackageStatement()
                                                                   throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleImport

          public final org.eclipse.emf.ecore.EObject entryRuleImport()
                                                              throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleImport

          public final org.eclipse.emf.ecore.EObject ruleImport()
                                                         throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleForkDefinition

          public final org.eclipse.emf.ecore.EObject entryRuleForkDefinition()
                                                                      throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleForkDefinition

          public final org.eclipse.emf.ecore.EObject ruleForkDefinition()
                                                                 throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleForkParameter

          public final org.eclipse.emf.ecore.EObject entryRuleForkParameter()
                                                                     throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleForkParameter

          public final org.eclipse.emf.ecore.EObject ruleForkParameter()
                                                                throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleVariantDefinition

          public final org.eclipse.emf.ecore.EObject entryRuleVariantDefinition()
                                                                         throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleVariantDefinition

          public final org.eclipse.emf.ecore.EObject ruleVariantDefinition()
                                                                    throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleTestDefinition

          public final org.eclipse.emf.ecore.EObject entryRuleTestDefinition()
                                                                      throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleTestDefinition

          public final org.eclipse.emf.ecore.EObject ruleTestDefinition()
                                                                 throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleCallDefinition

          public final org.eclipse.emf.ecore.EObject entryRuleCallDefinition()
                                                                      throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleCallDefinition

          public final org.eclipse.emf.ecore.EObject ruleCallDefinition()
                                                                 throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleSuiteDefinition

          public final org.eclipse.emf.ecore.EObject entryRuleSuiteDefinition()
                                                                       throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleSuiteDefinition

          public final org.eclipse.emf.ecore.EObject ruleSuiteDefinition()
                                                                  throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleSuiteParameterDefinition

          public final org.eclipse.emf.ecore.EObject entryRuleSuiteParameterDefinition()
                                                                                throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleSuiteParameterDefinition

          public final org.eclipse.emf.ecore.EObject ruleSuiteParameterDefinition()
                                                                           throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleSuiteReturnDefinition

          public final org.eclipse.emf.ecore.EObject entryRuleSuiteReturnDefinition()
                                                                             throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleSuiteReturnDefinition

          public final org.eclipse.emf.ecore.EObject ruleSuiteReturnDefinition()
                                                                        throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleOperationDefinition

          public final org.eclipse.emf.ecore.EObject entryRuleOperationDefinition()
                                                                           throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleOperationDefinition

          public final org.eclipse.emf.ecore.EObject ruleOperationDefinition()
                                                                      throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleSuiteStatement

          public final org.eclipse.emf.ecore.EObject entryRuleSuiteStatement()
                                                                      throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleSuiteStatement

          public final org.eclipse.emf.ecore.EObject ruleSuiteStatement()
                                                                 throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleSuiteStatementWithResult

          public final org.eclipse.emf.ecore.EObject entryRuleSuiteStatementWithResult()
                                                                                throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleSuiteStatementWithResult

          public final org.eclipse.emf.ecore.EObject ruleSuiteStatementWithResult()
                                                                           throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleVariableDefinition

          public final org.eclipse.emf.ecore.EObject entryRuleVariableDefinition()
                                                                          throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleVariableDefinition

          public final org.eclipse.emf.ecore.EObject ruleVariableDefinition()
                                                                     throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleConstantDefinition

          public final org.eclipse.emf.ecore.EObject entryRuleConstantDefinition()
                                                                          throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleConstantDefinition

          public final org.eclipse.emf.ecore.EObject ruleConstantDefinition()
                                                                     throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleVariableAssignment

          public final org.eclipse.emf.ecore.EObject entryRuleVariableAssignment()
                                                                          throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleVariableAssignment

          public final org.eclipse.emf.ecore.EObject ruleVariableAssignment()
                                                                     throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleVariantValue

          public final org.eclipse.emf.ecore.EObject entryRuleVariantValue()
                                                                    throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleVariantValue

          public final org.eclipse.emf.ecore.EObject ruleVariantValue()
                                                               throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleVariableEntity

          public final org.eclipse.emf.ecore.EObject entryRuleVariableEntity()
                                                                      throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleVariableEntity

          public final org.eclipse.emf.ecore.EObject ruleVariableEntity()
                                                                 throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleConstantEntity

          public final org.eclipse.emf.ecore.EObject entryRuleConstantEntity()
                                                                      throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleConstantEntity

          public final org.eclipse.emf.ecore.EObject ruleConstantEntity()
                                                                 throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleTest

          public final org.eclipse.emf.ecore.EObject entryRuleTest()
                                                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleTest

          public final org.eclipse.emf.ecore.EObject ruleTest()
                                                       throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleTableTest

          public final org.eclipse.emf.ecore.EObject entryRuleTableTest()
                                                                 throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleTableTest

          public final org.eclipse.emf.ecore.EObject ruleTableTest()
                                                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleTableTestRow

          public final org.eclipse.emf.ecore.EObject entryRuleTableTestRow()
                                                                    throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleTableTestRow

          public final org.eclipse.emf.ecore.EObject ruleTableTestRow()
                                                               throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleParameterTableHeader

          public final org.eclipse.emf.ecore.EObject entryRuleParameterTableHeader()
                                                                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleParameterTableHeader

          public final org.eclipse.emf.ecore.EObject ruleParameterTableHeader()
                                                                       throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleResultTableHeader

          public final org.eclipse.emf.ecore.EObject entryRuleResultTableHeader()
                                                                         throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleResultTableHeader

          public final org.eclipse.emf.ecore.EObject ruleResultTableHeader()
                                                                    throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleParameterTableValue

          public final org.eclipse.emf.ecore.EObject entryRuleParameterTableValue()
                                                                           throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleParameterTableValue

          public final org.eclipse.emf.ecore.EObject ruleParameterTableValue()
                                                                      throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleNamedResult

          public final org.eclipse.emf.ecore.EObject entryRuleNamedResult()
                                                                   throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleNamedResult

          public final org.eclipse.emf.ecore.EObject ruleNamedResult()
                                                              throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleResultName

          public final org.eclipse.emf.ecore.EObject entryRuleResultName()
                                                                  throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleResultName

          public final org.eclipse.emf.ecore.EObject ruleResultName()
                                                             throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleFixedResultName

          public final org.eclipse.emf.ecore.EObject entryRuleFixedResultName()
                                                                       throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleFixedResultName

          public final org.eclipse.emf.ecore.EObject ruleFixedResultName()
                                                                  throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleCall

          public final org.eclipse.emf.ecore.EObject entryRuleCall()
                                                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleCall

          public final org.eclipse.emf.ecore.EObject ruleCall()
                                                       throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleNamedCallResult

          public final org.eclipse.emf.ecore.EObject entryRuleNamedCallResult()
                                                                       throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleNamedCallResult

          public final org.eclipse.emf.ecore.EObject ruleNamedCallResult()
                                                                  throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleTimeSet

          public final org.eclipse.emf.ecore.EObject entryRuleTimeSet()
                                                               throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleTimeSet

          public final org.eclipse.emf.ecore.EObject ruleTimeSet()
                                                          throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleTimeProgressionFactor

          public final org.eclipse.emf.ecore.EObject entryRuleTimeProgressionFactor()
                                                                             throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleTimeProgressionFactor

          public final org.eclipse.emf.ecore.EObject ruleTimeProgressionFactor()
                                                                        throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleTimeDifference

          public final org.eclipse.emf.ecore.EObject entryRuleTimeDifference()
                                                                      throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleTimeDifference

          public final org.eclipse.emf.ecore.EObject ruleTimeDifference()
                                                                 throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleSuite

          public final org.eclipse.emf.ecore.EObject entryRuleSuite()
                                                             throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleSuite

          public final org.eclipse.emf.ecore.EObject ruleSuite()
                                                        throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleSuiteParameter

          public final org.eclipse.emf.ecore.EObject entryRuleSuiteParameter()
                                                                      throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleSuiteParameter

          public final org.eclipse.emf.ecore.EObject ruleSuiteParameter()
                                                                 throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleSuiteReturn

          public final org.eclipse.emf.ecore.EObject entryRuleSuiteReturn()
                                                                   throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleSuiteReturn

          public final org.eclipse.emf.ecore.EObject ruleSuiteReturn()
                                                              throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleParameter

          public final org.eclipse.emf.ecore.EObject entryRuleParameter()
                                                                 throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleParameter

          public final org.eclipse.emf.ecore.EObject ruleParameter()
                                                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleParameterName

          public final org.eclipse.emf.ecore.EObject entryRuleParameterName()
                                                                     throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleParameterName

          public final org.eclipse.emf.ecore.EObject ruleParameterName()
                                                                throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleFixedParameterName

          public final org.eclipse.emf.ecore.EObject entryRuleFixedParameterName()
                                                                          throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleFixedParameterName

          public final org.eclipse.emf.ecore.EObject ruleFixedParameterName()
                                                                     throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleArbitraryParameterOrResultName

          public final org.eclipse.emf.ecore.EObject entryRuleArbitraryParameterOrResultName()
                                                                                      throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleArbitraryParameterOrResultName

          public final org.eclipse.emf.ecore.EObject ruleArbitraryParameterOrResultName()
                                                                                 throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleOperation

          public final org.eclipse.emf.ecore.EObject entryRuleOperation()
                                                                 throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleOperation

          public final org.eclipse.emf.ecore.EObject ruleOperation()
                                                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleStandardOperation

          public final org.eclipse.emf.ecore.EObject entryRuleStandardOperation()
                                                                         throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleStandardOperation

          public final org.eclipse.emf.ecore.EObject ruleStandardOperation()
                                                                    throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleCustomOperation

          public final org.eclipse.emf.ecore.EObject entryRuleCustomOperation()
                                                                       throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleCustomOperation

          public final org.eclipse.emf.ecore.EObject ruleCustomOperation()
                                                                  throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleValueOrEnumValueOrOperationCollection

          public final org.eclipse.emf.ecore.EObject entryRuleValueOrEnumValueOrOperationCollection()
                                                                                             throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleValueOrEnumValueOrOperationCollection

          public final org.eclipse.emf.ecore.EObject ruleValueOrEnumValueOrOperationCollection()
                                                                                        throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleValueOrEnumValueOrOperation

          public final org.eclipse.emf.ecore.EObject entryRuleValueOrEnumValueOrOperation()
                                                                                   throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleValueOrEnumValueOrOperation

          public final org.eclipse.emf.ecore.EObject ruleValueOrEnumValueOrOperation()
                                                                              throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleValue

          public final org.eclipse.emf.ecore.EObject entryRuleValue()
                                                             throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleValue

          public final org.eclipse.emf.ecore.EObject ruleValue()
                                                        throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleConstantValue

          public final org.eclipse.emf.ecore.EObject entryRuleConstantValue()
                                                                     throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleConstantValue

          public final org.eclipse.emf.ecore.EObject ruleConstantValue()
                                                                throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleStaticValue

          public final org.eclipse.emf.ecore.EObject entryRuleStaticValue()
                                                                   throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleStaticValue

          public final org.eclipse.emf.ecore.EObject ruleStaticValue()
                                                              throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleIntegerValue

          public final org.eclipse.emf.ecore.EObject entryRuleIntegerValue()
                                                                    throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleIntegerValue

          public final org.eclipse.emf.ecore.EObject ruleIntegerValue()
                                                               throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleDecimalValue

          public final org.eclipse.emf.ecore.EObject entryRuleDecimalValue()
                                                                    throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleDecimalValue

          public final org.eclipse.emf.ecore.EObject ruleDecimalValue()
                                                               throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleStringValue

          public final org.eclipse.emf.ecore.EObject entryRuleStringValue()
                                                                   throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleStringValue

          public final org.eclipse.emf.ecore.EObject ruleStringValue()
                                                              throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleRegexValue

          public final org.eclipse.emf.ecore.EObject entryRuleRegexValue()
                                                                  throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleRegexValue

          public final org.eclipse.emf.ecore.EObject ruleRegexValue()
                                                             throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleBooleanValue

          public final org.eclipse.emf.ecore.EObject entryRuleBooleanValue()
                                                                    throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleBooleanValue

          public final org.eclipse.emf.ecore.EObject ruleBooleanValue()
                                                               throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleDateValue

          public final org.eclipse.emf.ecore.EObject entryRuleDateValue()
                                                                 throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleDateValue

          public final org.eclipse.emf.ecore.EObject ruleDateValue()
                                                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleIsoDateValue

          public final org.eclipse.emf.ecore.EObject entryRuleIsoDateValue()
                                                                    throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleIsoDateValue

          public final org.eclipse.emf.ecore.EObject ruleIsoDateValue()
                                                               throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleEuropeanDateValue

          public final org.eclipse.emf.ecore.EObject entryRuleEuropeanDateValue()
                                                                         throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleEuropeanDateValue

          public final org.eclipse.emf.ecore.EObject ruleEuropeanDateValue()
                                                                    throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleUSDateValue

          public final org.eclipse.emf.ecore.EObject entryRuleUSDateValue()
                                                                   throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleUSDateValue

          public final org.eclipse.emf.ecore.EObject ruleUSDateValue()
                                                              throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleTimeValue

          public final org.eclipse.emf.ecore.EObject entryRuleTimeValue()
                                                                 throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleTimeValue

          public final org.eclipse.emf.ecore.EObject ruleTimeValue()
                                                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleIsoTimeValue

          public final org.eclipse.emf.ecore.EObject entryRuleIsoTimeValue()
                                                                    throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleIsoTimeValue

          public final org.eclipse.emf.ecore.EObject ruleIsoTimeValue()
                                                               throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleSimple24HrsTimeValue

          public final org.eclipse.emf.ecore.EObject entryRuleSimple24HrsTimeValue()
                                                                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleSimple24HrsTimeValue

          public final org.eclipse.emf.ecore.EObject ruleSimple24HrsTimeValue()
                                                                       throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleSimple12HrsTimeValue

          public final org.eclipse.emf.ecore.EObject entryRuleSimple12HrsTimeValue()
                                                                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleSimple12HrsTimeValue

          public final org.eclipse.emf.ecore.EObject ruleSimple12HrsTimeValue()
                                                                       throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleDateAndTimeValue

          public final org.eclipse.emf.ecore.EObject entryRuleDateAndTimeValue()
                                                                        throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleDateAndTimeValue

          public final org.eclipse.emf.ecore.EObject ruleDateAndTimeValue()
                                                                   throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleIsoDateAndTimeValue

          public final org.eclipse.emf.ecore.EObject entryRuleIsoDateAndTimeValue()
                                                                           throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleIsoDateAndTimeValue

          public final org.eclipse.emf.ecore.EObject ruleIsoDateAndTimeValue()
                                                                      throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleEuropeanDateAnd24HrsTimeValue

          public final org.eclipse.emf.ecore.EObject entryRuleEuropeanDateAnd24HrsTimeValue()
                                                                                     throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleEuropeanDateAnd24HrsTimeValue

          public final org.eclipse.emf.ecore.EObject ruleEuropeanDateAnd24HrsTimeValue()
                                                                                throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleEuropeanDateAnd12HrsTimeValue

          public final org.eclipse.emf.ecore.EObject entryRuleEuropeanDateAnd12HrsTimeValue()
                                                                                     throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleEuropeanDateAnd12HrsTimeValue

          public final org.eclipse.emf.ecore.EObject ruleEuropeanDateAnd12HrsTimeValue()
                                                                                throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleUSDateAnd12HrsTimeValue

          public final org.eclipse.emf.ecore.EObject entryRuleUSDateAnd12HrsTimeValue()
                                                                               throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleUSDateAnd12HrsTimeValue

          public final org.eclipse.emf.ecore.EObject ruleUSDateAnd12HrsTimeValue()
                                                                          throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleJavaConstantValue

          public final org.eclipse.emf.ecore.EObject entryRuleJavaConstantValue()
                                                                         throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleJavaConstantValue

          public final org.eclipse.emf.ecore.EObject ruleJavaConstantValue()
                                                                    throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleVariable

          public final org.eclipse.emf.ecore.EObject entryRuleVariable()
                                                                throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleVariable

          public final org.eclipse.emf.ecore.EObject ruleVariable()
                                                           throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleVariableVariable

          public final org.eclipse.emf.ecore.EObject entryRuleVariableVariable()
                                                                        throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleVariableVariable

          public final org.eclipse.emf.ecore.EObject ruleVariableVariable()
                                                                   throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleConstant

          public final org.eclipse.emf.ecore.EObject entryRuleConstant()
                                                                throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleConstant

          public final org.eclipse.emf.ecore.EObject ruleConstant()
                                                           throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleNullValue

          public final org.eclipse.emf.ecore.EObject entryRuleNullValue()
                                                                 throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleNullValue

          public final org.eclipse.emf.ecore.EObject ruleNullValue()
                                                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleInexistentValue

          public final org.eclipse.emf.ecore.EObject entryRuleInexistentValue()
                                                                       throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleInexistentValue

          public final org.eclipse.emf.ecore.EObject ruleInexistentValue()
                                                                  throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleEmptyValue

          public final org.eclipse.emf.ecore.EObject entryRuleEmptyValue()
                                                                  throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleEmptyValue

          public final org.eclipse.emf.ecore.EObject ruleEmptyValue()
                                                             throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleEnumValue

          public final org.eclipse.emf.ecore.EObject entryRuleEnumValue()
                                                                 throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleEnumValue

          public final org.eclipse.emf.ecore.EObject ruleEnumValue()
                                                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleNestedObject

          public final org.eclipse.emf.ecore.EObject entryRuleNestedObject()
                                                                    throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleNestedObject

          public final org.eclipse.emf.ecore.EObject ruleNestedObject()
                                                               throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleTypedNestedObject

          public final org.eclipse.emf.ecore.EObject entryRuleTypedNestedObject()
                                                                         throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleTypedNestedObject

          public final org.eclipse.emf.ecore.EObject ruleTypedNestedObject()
                                                                    throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleKeyValuePair

          public final org.eclipse.emf.ecore.EObject entryRuleKeyValuePair()
                                                                    throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleKeyValuePair

          public final org.eclipse.emf.ecore.EObject ruleKeyValuePair()
                                                               throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleJavaClassReference

          public final org.eclipse.emf.ecore.EObject entryRuleJavaClassReference()
                                                                          throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleJavaClassReference

          public final org.eclipse.emf.ecore.EObject ruleJavaClassReference()
                                                                     throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleMethodReference

          public final org.eclipse.emf.ecore.EObject entryRuleMethodReference()
                                                                       throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleMethodReference

          public final org.eclipse.emf.ecore.EObject ruleMethodReference()
                                                                  throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleJavaConstantReference

          public final org.eclipse.emf.ecore.EObject entryRuleJavaConstantReference()
                                                                             throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleJavaConstantReference

          public final org.eclipse.emf.ecore.EObject ruleJavaConstantReference()
                                                                        throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleExecutionMultiplier

          public final org.eclipse.emf.ecore.EObject entryRuleExecutionMultiplier()
                                                                           throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleExecutionMultiplier

          public final org.eclipse.emf.ecore.EObject ruleExecutionMultiplier()
                                                                      throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleQualifiedName

          public final String entryRuleQualifiedName()
                                              throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleQualifiedName

          public final org.eclipse.xtext.parser.antlr.AntlrDatatypeRuleToken ruleQualifiedName()
                                                                                        throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleQualifiedJavaClassName

          public final String entryRuleQualifiedJavaClassName()
                                                       throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleQualifiedJavaClassName

          public final org.eclipse.xtext.parser.antlr.AntlrDatatypeRuleToken ruleQualifiedJavaClassName()
                                                                                                 throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleQualifiedNameWithWildcard

          public final String entryRuleQualifiedNameWithWildcard()
                                                          throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleQualifiedNameWithWildcard

          public final org.eclipse.xtext.parser.antlr.AntlrDatatypeRuleToken ruleQualifiedNameWithWildcard()
                                                                                                    throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleDocumentationComment

          public final org.eclipse.emf.ecore.EObject entryRuleDocumentationComment()
                                                                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleDocumentationComment

          public final org.eclipse.emf.ecore.EObject ruleDocumentationComment()
                                                                       throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleNL

          public final String entryRuleNL()
                                   throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleNL

          public final org.eclipse.xtext.parser.antlr.AntlrDatatypeRuleToken ruleNL()
                                                                             throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleNLFORCED

          public final String entryRuleNLFORCED()
                                         throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleNLFORCED

          public final org.eclipse.xtext.parser.antlr.AntlrDatatypeRuleToken ruleNLFORCED()
                                                                                   throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`